<!DOCTYPE html>
<html>
  <head>
    <title>MiniShop</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
    <script src="https://use.fontawesome.com/a846fde3c2.js"></script>
  </head>
  <body>
    <nav class="nav nav-tabs-purple">
      <%= link_to "Home", root_path, class: "nav-link" %>
      <% if logged_in? %>
        <%= link_to "LogOut", logout_path, method: :delete, class: "nav-link" %>
        <% if @current_user.admin? %>
          <%= link_to "Admin", auth_admin_path(@current_user.id), class: "nav-link profile-link" %>
        <% elsif @current_user.customer? %>
          <%= link_to "Profile", auth_customer_path(@current_user.id), class: "nav-link profile-link" %>
        <% end %>
      <% else %>
        <%= link_to 'SignUp', new_auth_user_path, class: "nav-link" %>
        <%= link_to 'LogIn', login_path, class: "nav-link" %>
      <% end %>
    </nav>
    <%= yield %>
    <script type="text/javascript">
    </script>
  </body>
</html>

